Page MenuHomePhabricator

Efl.Canvas.Vg : Implement Efl.Canvas.Vg.Image class
ClosedPublic

Authored by jsuya on Jul 7 2019, 7:19 PM.

Details

Summary

Implements a vector class that can support image.
User can use this class to output an image with a vector object.

Depends on D9218:Ector.Renderer : Implement Ector.Renderer.(Software).Image class

Test Plan

N/A

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
jsuya created this revision.Jul 7 2019, 7:19 PM
jsuya requested review of this revision.Jul 7 2019, 7:19 PM
Hermet requested changes to this revision.Jul 10 2019, 8:34 PM

Please check comments.

src/lib/evas/canvas/efl_canvas_vg_image.c
71

it must confirm the release of image data here.

82

w, h should be verified as well.
w <= 0? h <= 0?

src/lib/evas/canvas/efl_canvas_vg_image.eo
4

This is not the shape node, it's an image node.

7

Fill? I think there must be a better express than fill.
i.e. Set image data

Plus, since this image type is fixed moment, doc should describe what type of image pixels are supposed to be here.
i.e. "the pixel data type is 32bit rgba "

This revision now requires changes to proceed.Jul 10 2019, 8:34 PM
jsuya updated this revision to Diff 23487.Jul 17 2019, 7:08 PM

Fix wrong comments and change the Ector.Buffer
to be created and managed when the image data pointer is received.

jsuya marked 4 inline comments as done.Jul 17 2019, 7:12 PM
Hermet accepted this revision.Jul 17 2019, 10:24 PM
This revision is now accepted and ready to land.Jul 17 2019, 10:24 PM
This revision was automatically updated to reflect the committed changes.